var MODULO = "Cuestionarios";

KEY_CANCELAR = "KEY_CANCELAR";

FILTRO = "FILTRO";

KEY_VOLVER_FILTRO = "KEY_VOLVER_FILTRO"

KEY_VOLVER_LISTADO = "KEY_VOLVER_LISTADO"



function ponAccion(key) {

		if (key==KEY_CANCELAR){

			if(document.forms[0].elements["inicio"].value==FILTRO){

				key=KEY_VOLVER_FILTRO;

			}

			else {

				key=KEY_VOLVER_LISTADO;			

			}

		}

		for (i=0; i<document["formRoles"].elements["listaProcesosSeleccionados"].length; i++) {

			document["formRoles"].elements["listaProcesosSeleccionados"].options[i].selected = true;

		} 

		

		for (i=0; i<document["formRoles"].elements["listaGruposSeleccionados"].length; i++) {

			document["formRoles"].elements["listaGruposSeleccionados"].options[i].selected = true;

		}

		

		for (i=0; i<document["formRoles"].elements["listaGrupos"].length; i++) {

			document["formRoles"].elements["listaGrupos"].options[i].selected = true;

		}

		for (i=0; i<document["formRoles"].elements["listaProcesos"].length; i++) {

			document["formRoles"].elements["listaProcesos"].options[i].selected = true;

		}

        document.forms["formRoles"].accion.value = key;

        submmitFormulario(key);

}



function submmitFormulario(key) {

    document.forms["formRoles"].submit();

}



function onLoadPage() {

    	document.forms[0].elements["rol(codigo)"].focus();		

}